#
# spec file for package python3-Flask-OpenID
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-Flask-OpenID
Version:        1.2.5
Release:        1.8
License:        BSD-3-Clause
Summary:        OpenID support for Flask
Url:            http://github.com/mitsuhiko/flask-openid/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/d1/a2/9d1fba3287a65f81b9d1c09c4f7cb16f8ea4988b1bc97ffea0d60983338f/Flask-OpenID-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Flask >= 0.3
BuildRequires:  python3-python3-openid >= 2.0
Requires:       python3-Flask >= 0.3
Requires:       python3-python3-openid >= 2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Adds OpenID support to Flask.

%prep
%setup -q -n Flask-OpenID-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{python3_sitelib}/*

%changelog
* Fri Sep 16 2016 toddrme2178@gmail.com
- Initial version
